public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-rpg/grimrock/
Date: Sun, 18 Jul 2021 05:15:49 +0000 (UTC)	[thread overview]
Message-ID: <1626585291.c5b6ce931d4492e25dd8eb6ef062e576db2b8586.ionen@gentoo> (raw)

commit:     c5b6ce931d4492e25dd8eb6ef062e576db2b8586
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 18 03:37:54 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Jul 18 05:14:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5b6ce93

games-rpg/grimrock: EAPI 6->7, tidy a bit

Do not own this version of the game, so trying safe changes.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-rpg/grimrock/grimrock-20150707.ebuild | 48 +++++++++++++----------------
 1 file changed, 22 insertions(+), 26 deletions(-)

diff --git a/games-rpg/grimrock/grimrock-20150707.ebuild b/games-rpg/grimrock/grimrock-20150707.ebuild
index 03275c50c9a..e0950dd5bc0 100644
--- a/games-rpg/grimrock/grimrock-20150707.ebuild
+++ b/games-rpg/grimrock/grimrock-20150707.ebuild
@@ -1,36 +1,35 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit desktop gnome2-utils unpacker
+inherit desktop unpacker xdg
 
-TIMESTAMP="${PV:0:4}-${PV:4:2}-${PV:6:2}"
 MY_PN="Grimrock"
+MY_TIMESTAMP="${PV:0:4}-${PV:4:2}-${PV:6:2}"
+
 DESCRIPTION="Legend of Grimrock: The ultimate dungeon crawling RPG + modding engine"
 HOMEPAGE="http://www.grimrock.net/"
-SRC_URI="Grimrock-Linux-${TIMESTAMP}.sh"
+SRC_URI="Grimrock-Linux-${MY_TIMESTAMP}.sh"
+S="${WORKDIR}"
 
-SLOT="0"
 LICENSE="all-rights-reserved"
+SLOT="0"
 KEYWORDS="-* ~amd64 ~x86"
-RESTRICT="fetch bindist splitdebug"
+RESTRICT="bindist fetch"
 
-QA_PREBUILT="/opt/${PN}/${MY_PN}.bin"
+QA_PREBUILT="opt/${PN}/${MY_PN}.bin"
 
-RDEPEND="media-libs/freeimage
+RDEPEND="
+	media-libs/freeimage
 	media-libs/freetype:2
-	media-libs/openal
 	media-libs/libsdl2[opengl,sound,video]
 	media-libs/libvorbis
+	media-libs/openal
 	sys-libs/zlib[minizip]
 	virtual/opengl
 	x11-libs/libX11"
 
-DEPEND="app-arch/xz-utils"
-
-S="${WORKDIR}"
-
 pkg_nofetch() {
 	einfo "Please buy and download ${SRC_URI} from:"
 	einfo "  ${HOMEPAGE}"
@@ -38,25 +37,26 @@ pkg_nofetch() {
 }
 
 src_unpack() {
-	myarch=$(usex amd64 x86_64 x86)
+	MY_ARCH=$(usex amd64 x86_64 x86)
+
 	unpack_makeself
 
 	local i
-	for i in subarch instarchive_all instarchive_linux_${myarch}; do
-		ln -snf "${i}" "${i}.tar.xz" || die
-		unpack ./"${i}.tar.xz"
+	for i in subarch instarchive_all instarchive_linux_${MY_ARCH}; do
+		ln -snf ${i} ${i}.tar.xz || die
+		unpack ./${i}.tar.xz
 	done
 }
 
 src_install() {
 	local dir=/opt/${PN}
 
-	insinto "${dir}"
+	insinto ${dir}
 	doins ${PN}.{dat,png}
 
-	exeinto "${dir}"
-	newexe ${MY_PN}.bin{.${myarch},}
-	dosym "../..${dir}"/${MY_PN}.bin /usr/bin/${PN}
+	exeinto ${dir}
+	newexe ${MY_PN}.bin{.${MY_ARCH},}
+	dosym ../..${dir}/${MY_PN}.bin /usr/bin/${PN}
 
 	doicon -s 256 ${PN}.png
 	newicon -s 64 ${MY_PN}.png ${PN}.png
@@ -64,7 +64,3 @@ src_install() {
 
 	dodoc README.linux
 }
-
-pkg_preinst() { gnome2_icon_savelist; }
-pkg_postinst() { gnome2_icon_cache_update; }
-pkg_postrm() { gnome2_icon_cache_update; }


             reply	other threads:[~2021-07-18  5:15 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-18  5:15 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-03-15 21:55 [gentoo-commits] repo/gentoo:master commit in: games-rpg/grimrock/ James Le Cuirot
2016-11-12 23:37 David Seifert
2015-12-30  2:39 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626585291.c5b6ce931d4492e25dd8eb6ef062e576db2b8586.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox